Bug 468724 - xguest no longer functioning (can't login)
xguest no longer functioning (can't login)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xguest (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-27 13:27 EDT by Douglas E. Warner
Modified: 2008-10-30 14:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-30 14:10:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Douglas E. Warner 2008-10-27 13:27:55 EDT
xguest-1.0.6-7.fc9.noarch

In gdm when clicking on the 'guest' user, the login process starts then X seems to die and go back to the gdm login screen.  xguest login was previously working (I haven't logged it out for awhile, so I'm not sure when package updates actually broke it).


/var/log/messages output shows:
Oct 25 13:49:09 gconfd (xguest-2499): starting (version 2.22.0), pid 2499 user 'xguest'
Oct 25 13:49:09 gconfd (xguest-2499): Resolved address "xml:readonly:/etc/gconf/gconf.xml.mandatory" to a read-only configuration source at position 0
Oct 25 13:49:09 gconfd (xguest-2499): Resolved address "xml:readwrite:/home/xguest/.gconf" to a writable configuration source at position 1
Oct 25 13:49:09 gconfd (xguest-2499): Resolved address "xml:readonly:/etc/gconf/gconf.xml.defaults" to a read-only configuration source at position 2
Oct 25 13:49:11 t21 ssh-agent[2517]: error: setrlimit RLIMIT_CORE: Permission denied
Oct 25 13:49:12 t21 acpid: client connected from 2565[0:0]
Oct 25 13:49:12 t21 kernel: mtrr: base(0xf2000000) is not aligned on a size(0x5000000) boundary

/var/log/secure output shows:
Oct 25 13:49:10 t21 gdm-session-worker[2332]: pam_unix(gdm:session): session opened for user xguest by (uid=0)
Oct 25 13:49:11 t21 gdm-session-worker[2332]: pam_namespace(gdm:session): Unmount of /tmp failed, Device or resource busy
Oct 25 13:49:11 t21 gdm-session-worker[2332]: pam_unix(gdm:session): session closed for user xguest
Comment 1 Douglas E. Warner 2008-10-27 15:02:16 EDT
After talking w/ yaneti on IRC I upgraded libxcb to 1.1-5 in updates-testing; this gave me the following results:
* I was able to login w/ the xguest user from gdm and logout without problems under the currently running X session
* once I killed X I am no longer able to login using xguest user; I get prompted for a password.  Messages from /var/log/secure are:

Oct 27 14:56:54 t21 gdm-session-worker[17115]: pam_selinux_permit(gdm:auth): User xguest processes are running. Exclusive login not allowed
Oct 27 14:56:55 t21 gdm-session-worker[17115]: pam_unix(gdm:auth): conversation failed
Oct 27 14:56:55 t21 gdm-session-worker[17115]: pam_unix(gdm:auth): auth could not identify password for [xguest]
Oct 27 14:56:55 t21 gdm-session-worker[17115]: gkr-pam: no password is available for user
Comment 2 Daniel Walsh 2008-10-27 15:25:04 EDT
Make sure there are no processes running as xguest_t on your system or with the uid of xguest.

Also you must be in enforcing mode.
Comment 3 Douglas E. Warner 2008-10-29 13:54:26 EDT
I had a leftover gnome session (or something) running as xguest user; killing that allowed me to login.

Now if only there was a way to save the WPA key for xguest to use it... ;)

I'm pretty sure the libxcb upgrade was necessary to get things going again; I'm able to login w/ both my regular users and xguest now that that package is installed.
Comment 4 Daniel Walsh 2008-10-30 14:10:10 EDT
You can use xguest without using a temporary file system for the homedir.

Just edit /etc/security/namespace.conf

and comment out

$HOME           tmpfs   tmpfs   ~xguest


This will make the homedir permanent and allow you to save the key.

pam_selinux_permit is supposed to try to kill all xguest processes on the way out.

Note You need to log in before you can comment on or make changes to this bug.